CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

布局属性 (ActiveX)

2023-1-3 12:30| 发布者: admin| 查看: 538| 评论: 0|来自: AutoCAD

摘要: 获取文档的布局集合。

获取文档的布局集合。

支持的平台:仅窗口

签名

工 务 局:

object.Layouts
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:布局

文档的布局集合。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Layouts()
    ' This example will access the Layouts collection for the current drawing
    ' and list basic information about the Layouts in the drawing.

    Dim Layouts As AcadLayouts, Layout As ACADLayout
    Dim msg As String
    
    ' Get layouts collection from document object
    Set Layouts = ThisDrawing.Layouts
    
    msg = vbCrLf    ' Start with a space
    
    ' Get the names of every layout in this drawing
    For Each Layout In Layouts
        msg = msg & Layout.name & vbCrLf
    Next
    
    ' Display a list of available layouts
    MsgBox "There are " & Layouts.count & " layouts in " & _
           ThisDrawing.WindowTitle & ":" & msg
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Layouts()
    ;; This example will access the Layouts collection for the current drawing
    ;; and list basic information about the Layouts in the drawing.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Get layouts collection from document object
    (setq Layouts (vla-get-Layouts doc))
    
    (setq msg "")   ;; Start with a space
    
    ;; Get the names of every layout in this drawing
    (vlax-for Layout Layouts
        (setq msg (strcat msg (vla-get-Name Layout) "\n"))
    )
    
    ;; Display a list of available layouts
    (alert (strcat "There are " (itoa (vla-get-Count Layouts)) " layouts in "
                   (vla-get-WindowTitle doc) ":\n" msg))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 06:24

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部